Distribution upgrade from 7.04 to 7.10 hangs on "configuring, libgcc1"

John Vivirito gnomefreak at gmail.com
Mon Oct 29 16:13:17 GMT 2007


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

kubuntu-users-request at lists.ubuntu.com wrote:
> Send kubuntu-users mailing list submissions to
> 	kubuntu-users at lists.ubuntu.com
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
> or, via email, send a message with subject or body 'help' to
> 	kubuntu-users-request at lists.ubuntu.com
> 
> You can reach the person managing the list at
> 	kubuntu-users-owner at lists.ubuntu.com
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of kubuntu-users digest..."
> 
> 
> Today's Topics:
> 
>    1. Distribution upgrade from 7.04 to 7.10 hangs on "configuring
>       libgcc1" (darshak shah)
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Mon, 29 Oct 2007 11:51:57 +0530
> From: "darshak shah" <darshak.s at gmail.com>
> Subject: Distribution upgrade from 7.04 to 7.10 hangs on "configuring
> 	libgcc1"
> To: kubuntu-users at lists.ubuntu.com
> Message-ID:
> 	<d6cf5e0a0710282321q13f98cei65948741f9732ea0 at mail.gmail.com>
> Content-Type: text/plain; charset="iso-8859-1"
> 
> I tried to upgrade from 7.04 version to 7.10 using the adept package
> manager.
> I had kept the machine in the office over the weekend for installation, it
> had successfully downloaded all the upgrades,
> And when it tried to install them, it was hung on "configuring libgcc1" for
> a long time.
> 
> After that, I closed the upgrade process manually, and rebooted the machine
> twice.
> Then when I tried to open the adept manager again, it gives me this error.
> 
> "Another process is using the packaging system database (probably some other
> Adept application or apt-get or aptitude). Please close the other
> application before using this one."
> 
> 
> I have no other application running which is locking the package manager.
> I suspect that when I closed the "Distribution Upgrade" manually, it has not
> released/deleted the corresponding lock file.
> 
> After this step I was trying to run "sudo apt-get update" on the command
> line.
> This step ends with this error.
> "
> Fetched 6B in 4s (1B/s)
> E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to
> correct the problem.
> "
> 
> And when I tried "sudo dpkg --configure -a" I get the following error.
> 
> darshak at darshak-machine:~$ sudo dpkg --configure -a
> dpkg: parse error, in file `/var/lib/dpkg/updates/0006' near line 2 package
> `libc6':
>  `triggers-pendi' is not allowed for third (status) word in `status' field
> 
> I have no idea how to move ahead from this step.
> I want to upgrade my distribution to 7.10, and I have all the necessary
> packages downloaded in my "/var/cache/apt/archives/" which is approx 1.4 GB,
> which I do not want the apt manager to download again.
> 
> Thank you in Advance!
> 
> Regards,
> 
> Darshak
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: https://lists.ubuntu.com/archives/kubuntu-users/attachments/20071029/b06538e5/attachment-0001.htm 
> 
> ------------------------------
> 

If you run sudo apt-get dist-upgrade it will not download packages that
have already been downloaded but there might be one you are missing. As
for the lock, this is known in adept i will post the bot output for that
factoid below,
ubotu > If an APT front-end crashed and your database is locked, try
this in a !terminal: << sudo fuser -vki /var/lib/dpkg/lock;sudo dpkg
- --configure -a >>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHJgadqig4QTwcPCoRAqipAJ9JscKQxBWIZauUVG3PJlMUHfT7IQCeIZO1
mFp3y7xF/JEPSC7yCDfpRrE=
=6dog
-----END PGP SIGNATURE-----



More information about the kubuntu-users mailing list